Package net.commoble.exmachina.api

# Class MechanicalNodeStates

java.lang.Object
net.commoble.exmachina.api.MechanicalNodeStates

public final class MechanicalNodeStates extends Object
Data attachment intended to be used for blockentities which use the exmachina:blockstate mechanical component or similar components which automatically save mechanical state into arbitrary blockentities instead of having the blockentity implement saving manually.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<Map<NodeShape,MechanicalState>>`
`CODEC`
Codec for the attachment map.
`static final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Map<NodeShape,MechanicalState>>>`
`HOLDER`
Holder for mechanical node states
`static final net.minecraft.resources.ResourceKey<net.neoforged.neoforge.attachment.AttachmentType<?>>`
`KEY`
neoforge:attachment_type / exmachina:mechanical_node_states
`static final com.mojang.serialization.MapCodec<Map<NodeShape,MechanicalState>>`
`MAP_CODEC`
MapCodec for the attachment map
`static final net.minecraft.network.codec.StreamCodec<io.netty.buffer.ByteBuf,Map<NodeShape,MechanicalState>>`
`STREAM_CODEC`
StreamCodec for the attachment map

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<net.neoforged.neoforge.attachment.AttachmentType<?>> KEY
neoforge:attachment_type / exmachina:mechanical_node_states

### HOLDER

public static final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Map<NodeShape,MechanicalState>>> HOLDER
Holder for mechanical node states

### CODEC

public static final com.mojang.serialization.Codec<Map<NodeShape,MechanicalState>> CODEC
Codec for the attachment map. Deserializes mutable maps.

### MAP_CODEC

public static final com.mojang.serialization.MapCodec<Map<NodeShape,MechanicalState>> MAP_CODEC
MapCodec for the attachment map

### STREAM_CODEC

public static final net.minecraft.network.codec.StreamCodec<io.netty.buffer.ByteBuf,Map<NodeShape,MechanicalState>> STREAM_CODEC
StreamCodec for the attachment map